<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla controller library
jimport('joomla.application.component.controller');
 
/**
 * General Controller of BPortMan Component
 */
class BPortManController extends JControllerLegacy
{
        /**
         * display task
         *
         * @return void
         */
        public function display($cachable = false, $urlparams = false) 
        {
        	require_once JPATH_COMPONENT.'/helpers/bportman.php';

        	
            $input = JFactory::getApplication()->input;
            
            
            $view   = $input->get('view', 'projects');
			$layout = $input->get('layout', 'default');
			$id     = $input->getInt('id');
 
	        // Check for edit form.
			if ($view == 'project' && $layout == 'edit' && !$this->checkEditId('com_bportman.edit.project', $id))
			{
				// Somehow the person just went to the form - we don't allow that.
				$this->setError(JText::sprintf('JLIB_APPLICATION_ERROR_UNHELD_ID', $id));
				$this->setMessage($this->getError(), 'error');
				$this->setRedirect(JRoute::_('index.php?option=com_bportman&view=projects', false));
	
				return false;
			}
			
			$input->set('view', $view);
			$input->set('layout', $layout);
									
            parent::display($cachable);
            
            return $this;
        }
}