<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');


$user = JFactory::getUser();
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$archived	= $this->state->get('filter.state') == 2 ? true : false;
$trashed	= $this->state->get('filter.state') == -2 ? true : false;
$canOrder = $user->authorise('core.edit.state', 'com_bportman.category');
$saveOrder = $listOrder == 'a.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_bportman&task=projects.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'projectList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}
$sortFields = $this->getSortFields();
?>
<script type="text/javascript">
	Joomla.orderTable = function()
	{
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $listOrder; ?>')
		{
			dirn = 'asc';
		}
		else
		{
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>


<form
	action="<?php echo JRoute::_('index.php?option=com_bportman&view=projects'); ?>"
	method="post" name="adminForm" id="adminForm">
	<?php if (!empty( $this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
	<?php else : ?>
	<div id="j-main-container">
	<?php endif;?>
		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search btn-group pull-left">
				<label for="filter_search" class="element-invisible"><?php echo JText::_('COM_BPORTMAN_SEARCH_IN_PROJECT_NAME');?>
				</label> <input type="text" name="filter_search" id="filter_search"
					placeholder="<?php echo JText::_('COM_BPORTMAN_SEARCH_IN_PROJECT_NAME'); ?>"
					value="<?php echo $this->escape($this->state->get('filter.search')); ?>"
					title="<?php echo JText::_('COM_BPORTMAN_SEARCH_IN_PROJECT_NAME'); ?>" />
			</div>
			<div class="btn-group pull-left">
				<button class="btn hasTooltip" type="submit"
					title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>">
					<i class="icon-search"></i>
				</button>
				<button class="btn hasTooltip" type="button"
					title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"
					onclick="document.id('filter_search').value='';this.form.submit();">
					<i class="icon-remove"></i>
				</button>
			</div>
			<div class="btn-group pull-right hidden-phone">
				<label for="limit" class="element-invisible">
				<?php echo JText::_
				('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?>
				</label>
				<?php echo $this->pagination->getLimitBox(); ?>
			</div>
			<div class="btn-group pull-right hidden-phone">
				<label for="directionTable" class="element-invisible"><?php echo JText::_('JFIELD_ORDERING_DESC');?>
				</label> <select name="directionTable" id="directionTable"
					class="input-medium" onchange="Joomla.orderTable()">
					<option value="">
					<?php echo JText::_('JFIELD_ORDERING_DESC');?>
					</option>
					<option value="asc"
					<?php if ($listDirn == 'asc') echo 'selected="selected"'; ?>>
						<?php echo JText::_('JGLOBAL_ORDER_ASCENDING');?>
					</option>
					<option value="desc"
					<?php if ($listDirn == 'desc') echo 'selected="selected"'; ?>>
						<?php echo JText::_('JGLOBAL_ORDER_DESCENDING');?>
					</option>
				</select>
			</div>
			<div class="btn-group pull-right">
				<label for="sortTable" class="element-invisible"><?php echo JText::_('JGLOBAL_SORT_BY');?>
				</label> <select name="sortTable" id="sortTable"
					class="input-medium" onchange="Joomla.orderTable()">
					<option value="">
					<?php echo JText::_('JGLOBAL_SORT_BY');?>
					</option>
					<?php echo JHtml::_('select.options', $sortFields, 'value', 'text', $listOrder);?>
				</select>
			</div>
		</div>
		<div class="clearfix"></div>
		<table class="table table-striped" id="projectList">
			<thead>
				<tr>
					<th width="1%" class="nowrap center hidden-phone">
						<?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'a.ordering', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING'); ?>
					</th>
					<th width="1%" class="nowrap center">
						<?php echo JHtml::_('grid.checkall'); ?>
					</th>
					<th width="15%" class="nowrap center">
						<?php echo JHtml::_('grid.sort', 'JSTATUS', 'a.state', $listDirn, $listOrder); ?>
					</th>
					<th class="title">
						<?php echo JHtml::_('grid.sort', 'COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_NAME', 'a.b_project_name', $listDirn, $listOrder); ?>
					</th>
					<th width="5%" class="nowrap hidden-phone">
						<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ACCESS', 'a.access', $listDirn, $listOrder); ?>
					</th>
					<th width="10%" class="nowrap hidden-phone">
						<?php echo JHtml::_('grid.sort', 'COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_ID', 'a.b_project_id', $listDirn, $listOrder); ?>
					</th>
					<th width="15%" class="nowrap hidden-phone">
						<?php echo JHtml::_('grid.sort', 'COM_BPORTMAN_MANAGER_TABLE_HEADER_PROJECT_CRDATE', 'a.b_create_date', $listDirn, $listOrder); ?>
					</th>
				</tr>
			</thead>
		    <tfoot>
				<tr>
					<td colspan="10">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php foreach ($this->items as $i => $item) :
			// 	$canCreate  = $user->authorise('core.create',     'com_bportman.category.' . $item->catid);
			$canEdit    = $user->authorise('core.edit',       'com_bportman.category.' . $item->catid);
			$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0;
			$canChange = $user->authorise('core.edit.state', 'com_bportman') && $canCheckin;
			
			
			
			?>
				<tr class="row<?php echo $i % 2; ?>" sortable-group-id="1">

					<td class="order nowrap center hidden-phone"><?php if ($canChange) :
					$disableClassName = '';
					$disabledLabel = '';
					if (!$saveOrder) :
					$disabledLabel = JText::_('JORDERINGDISABLED');
					$disableClassName = 'inactive tip-top';
					endif; ?> <span
						class="sortable-handler hasTooltip <?php echo $disableClassName?>"
						title="<?php echo $disabledLabel?>"> <i class="icon-menu"></i> </span>
						<input type="text" style="display: none" name="order[]" size="5"
						value="<?php echo $item->ordering;?>"
						class="width-20 text-area-order " /> <?php else : ?> <span
						class="sortable-handler inactive"> <i class="icon-menu"></i> </span>
						<?php endif; ?>
					</td>

					<td class="center"><?php echo JHtml::_('grid.id', $i, $item->id); ?>
					</td>
					<td class="center">
						<div class="btn-group">
						<?php echo JHtml::_('jgrid.published', $item->state, $i, 'projects.', $canChange, 'cb', $item->publish_up, $item->publish_down); ?>
						<?php echo JHtml::_('projectadministrator.featured', $item->featured, $i, $canChange); ?>
						<?php
							// Create dropdown items
							/*$action = $archived ? 'unarchive' : 'archive';
							JHtml::_('actionsdropdown.' . $action, 'cb' . $i, 'projects');

							$action = $trashed ? 'untrash' : 'trash';
							JHtml::_('actionsdropdown.' . $action, 'cb' . $i, 'projects');

							// Render dropdown list
							echo JHtml::_('actionsdropdown.render', $this->escape($item->b_project_name));*/
						
						?>
						</div>
					</td>
					<td class="nowrap has-context">
						<div class="pull-left">
							<div class="bop-project-thumbnail-backend hidden-phone">
								<span>
									<?php	if ($canEdit) : ?>
										<a	href="<?php echo JRoute::_('index.php?option=com_bportman&task=project.edit&id='.(int) $item->id); ?>">
											<img src="<?php echo $item->b_project_thumb; ?>" /> 
										</a>
									<?php 	else : ?>
										<img src="<?php echo $item->b_project_thumb; ?>" />
									<?php 	endif; ?>														
								</span>
							</div>														
							<?php	if ($canEdit) : ?>
										<a	href="<?php echo JRoute::_('index.php?option=com_bportman&task=project.edit&id='.(int) $item->id); ?>">
										<?php echo $this->escape($item->b_project_name); ?> </a>
							<?php 	else : ?>
							<?php	echo $this->escape($item->b_project_name); ?>
							<?php 	endif; ?>							
							<div class="small">
								Category: <?php echo $this->escape($item->category_title); ?>
							</div>					
						</div>
					</td>
					<td class="left hidden-phone">
						<?php echo $this->escape($item->access_level); ?>
					</td>
					<td class="left hidden-phone"><?php echo (int) $item->b_project_id; ?>
					</td>
					<td class="left hidden-phone"><?php echo $item->b_create_date; ?>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
		<input type="hidden" name="task" value="" /> <input type="hidden"
			name="boxchecked" value="0" /> <input type="hidden"
			name="filter_order" value="<?php echo $listOrder; ?>" /> <input
			type="hidden" name="filter_order_Dir"
			value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>


