var bopHandler = {
	currentCat : "",
	
	getCurrentCat : function(){
		return this.currentCat;
	},
	
	setCurrentCat: function(curCat){
		this.currentCat= curCat;
	},
	
	initMosaicView : function($){
		
		
		var $container = $('#eds-bpm-project-container').isotope({
			  itemSelector: '.isotope-item',
			  layoutMode: 'fitRows'
		});
		
	
		
		$(".cat-tab").click(function(){
			
			var curCat = bopHandler.getCurrentCat();
			$("span[catname$='"+curCat+"']").removeClass("selected");
			$(this).addClass("selected");
			
			var newCat = $(this).attr("catname");
			if(newCat == 'be-all-cat')		
				$container.isotope({ filter: '*', transitionDuration: '1.0s'});
			else
				$container.isotope({ filter: '.'+newCat, transitionDuration: '1.0s' });
			
			bopHandler.setCurrentCat(newCat);			
			
		});
		
		$('.cat-tab').first().addClass("selected");
		var newCat = $('.cat-tab').first().attr('catname');
		if(newCat == 'be-all-cat')		
			$container.isotope({ filter: '*', transitionDuration: '1.0s'});
		else
			$container.isotope({ filter: '.'+newCat, transitionDuration: '1.0s' });

		bopHandler.setCurrentCat(newCat);
		
		return this;
	},
	
	addDynamicClass : function(marginClass, $){
		$(".isotope-item").addClass(marginClass);
		return this;
	},
	
	handleProjectDesc: function($){
		$('#bop-read-more').click(function(e){
			e.preventDefault();
			$(".bop-short-desc").hide();
			$(".bop-full-desc").show();
		});
		
		$('#bop-read-less').click(function(e){
			e.preventDefault();
			$(".bop-full-desc").hide();
			$(".bop-short-desc").show();
		});
	},
	
	setModalRel : function($, width, height){
		var finalWidth = bopHandler.getFinalWidth(width.trim());
		var finalHeight = bopHandler.getFinalHeight(height.trim());
		
		var paramVal = "{handler: 'iframe', size: {x:"+finalWidth+" , y:"+finalHeight+" }}";		
		$('.eds-bpm-info').each(function (){
			$(this).attr('rel',paramVal);			
		});
	},
	
	getFinalWidth : function(width){
		var pixelPattern = /[px]$/i;
		var percentPattern = /%$/i;
		if(pixelPattern.test(width)){
			width = width.substr(0, width.length - 2);
			if(isNaN(width))
				return bopHandler.getPercentWidth(90);
			
			return width;
				
		}else if(percentPattern.test(width)){
			width = width.substr(0, width.length - 1);
			if(isNaN(width))
				return bopHandler.getPercentWidth(90);
			
			return bopHandler.getPercentWidth(width);
			
		}else if(width!='' && !isNaN(width)){
			return width;
		}
		else{
			return bopHandler.getPercentWidth(90);
		}
		
		
	},
	
	getFinalHeight : function(height){
		var pixelPattern = /[px]$/i;
		var percentPattern = /%$/i;
		if(pixelPattern.test(height)){
			height = height.substr(0, height.length - 2);
			if(isNaN(height))
				return bopHandler.getPercentHeight(90);
			
			return height;
		}else if(percentPattern.test(height)){
			height = height.substr(0, height.length - 1);
			if(isNaN(height))
				return bopHandler.getPercentHeight(90);
			
			return bopHandler.getPercentHeight(height);
		}else if(height!='' && !isNaN(height)){
			return height;
		}
		else{
			return bopHandler.getPercentHeight(90);
		}
		
	},
	
	getPercentWidth : function(width){
		var w = window.innerWidth;
		return Math.ceil((width * w)/100);
		
	},
	
	getPercentHeight : function(height){
		var h = window.innerHeight;
		return Math.ceil((height * h)/100);		
	}
};