<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
defined('_JEXEC') or die;

class BPortManHelper extends JHelperContent
{
	public static function getActions($categoryId = 0, $id = 0, $assetName = '')
	{
		$user = JFactory::getUser();
		$result = new JObject;
			
		if (empty($categoryId))
		{
			$assetName = 'com_bportman';
			$level = 'component';
		}
		else
		{
			$assetName = 'com_bportman.category.'.(int) $categoryId;
			$level = 'category';
		}
			
		$actions = JAccess::getActions('com_bportman', $level);
			
		foreach ($actions as $action)
		{
			$result->set($action->name, $user->authorise($action->name, $assetName));
		}
			
		return $result;
	}

	public static function addSubmenu($vName = 'projects')
	{
		JHtmlSidebar::addEntry(
		JText::_('COM_BPORTMAN_SUBMENU_PROJECTS'),
    'index.php?option=com_bportman&view=projects',
		$vName == 'projects'
		);
		JHtmlSidebar::addEntry(
		JText::_('COM_BPORTMAN_SUBMENU_CATEGORIES'),
    'index.php?option=com_categories&extension=com_bportman',
		$vName == 'categories'
		);
		if ($vName == 'categories')
		{
			JToolbarHelper::title(
			JText::_('COM_CATEGORIES_CATEGORIES_TITLE'),
    		'behance-categories');
		}
	}
}