<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
defined('_JEXEC') or die;
?>
<?php 
$bFields ='';
foreach ($this->bPrData['fields'] as $bField){ 
	$bFields = $bFields. ', ' . $bField;
}
$bToolsUsed = "";
foreach ($this->bPrData['tools'] as $tool){
	$bToolsUsed .= ", " . $tool['title'];
}

$licenseId = intval($this->bPrData['copyright']['license_id']);
?>
<div id="bop-container">
	<div id="bop-waiting-popup" class="bop-waiting-popup" style="display:none;">
	    <div class="bop-popup-background"></div>
	    <div class="bop-loading-image">
	        <div class="flower-loader">
  				Loading…
			</div>
	    </div>	    
	</div>
	<div id="bop-project" style="opacity:0">		
		<div id="bop-all-wrapper">			
			<div id="bop-project-info-small">
				<div class="bpm-project-details-wrapper">
					<div class="bop-project-info-small-left">
						<div class="bop-project-info-small-header">							
							<div id="bop-left-project-title"><?php echo $this->bPrData['name']; ?></div>							
							<div id="bop-category"><?php echo substr($bFields, 2);?></div>							
							<div id="stats-top">							
								<span class="stats-top-project-views"><i class="zmdi zmdi-eye zmd-lg"></i> <?php echo $this->bPrData['stats']['views'] ; ?>  </span>						
								<span class="stats-top-project-appreciations"><i class="zmdi zmdi-thumb-up zmd-lg"></i> <?php echo $this->bPrData['stats']['appreciations'] ; ?>  </span>						 
								<span class="stats-top-project-comments"><i class="zmdi zmdi-comment-alt zmd-lg"></i> <?php echo $this->bPrData['stats']['comments'] ; ?>  </span>								
							</div>
						</div>
					</div>			
				</div>
				<div class="bpm-top-info-menu-dropdown-wrapper">
						<nav class="bpm-top-info-nav">
							<ul>							
								<li>
									<a href="#"><i class="zmdi zmdi-info-outline zmd-lg"></i>Tools Used</a>
									<ul class="fallback">
										<li><?php echo substr($bToolsUsed, 2);?></li>
									</ul>
								</li>							
								<li>
									<a href="#"><i class="zmdi zmdi-wrench zmd-lg"></i>About</a>
									<ul class="fallback">
										<li><?php echo $this->bPrData['description']; ?> </li>
									</ul>
								</li>								
								<li>
									<a href="#"><i class="zmdi zmdi-account zmd-lg"></i>Project by</a>
									<ul class="fallback bpm-project-by-small">
										<div class="bpm-project-by-right-wrapper">
											<?php foreach($this->bPrData['owners'] as $owner) : ?>
												<div class="bpm-project-by-right">
													<div class="bpm-project-by-right-image">																							
														<?php
															$last_key = 0; 
															$owner_img = ""; 
															foreach($owner['images'] as $im_key => $im_value){
																if($last_key < intval($im_key)){
																	$last_key = $im_key;
																	$owner_img = $im_value;	
																}														
															}
														?>												
														<img src="<?php echo $owner_img; ?>" />												
													</div>
													<div class="bpm-project-by-right-author">
														<?php echo $owner['first_name'] . ' ' . $owner['last_name']; ?>
														<span class="bpm-project-by-place-right"> <i class="zmdi zmdi-pin"></i> <?php echo $owner['location']; ?></span>
													</div>
												</div>
											<?php endforeach;?>
										</div>
									</ul>
								</li>								
							</ul>
						</nav>
					</div>
				
			</div>
			<div class="bop-project-area">
				<div id="bop-project-wrapper">
					<div id="bop-project-left">
						<div id="bop-left-project-header">							
							<div id="bop-left-project-title"><?php echo $this->bPrData['name']; ?></div>							
							<div id="bop-category"><?php echo substr($bFields, 2);?></div>						
							<div id="stats-top">							
								<span class="stats-top-project-views"><i class="zmdi zmdi-eye zmd-lg"></i> <?php echo $this->bPrData['stats']['views'] ; ?>  </span>						
								<span class="stats-top-project-appreciations"><i class="zmdi zmdi-thumb-up zmd-lg"></i> <?php echo $this->bPrData['stats']['appreciations'] ; ?>  </span>						 
								<span class="stats-top-project-comments"><i class="zmdi zmdi-comment-alt zmd-lg"></i> <?php echo $this->bPrData['stats']['comments'] ; ?>  </span>							
							</div>
						</div>
						<div class="bop-primary-project-content">
							<div class="spacer" style="height: <?php echo $this->bPrData['styles']['spacing']['project']['top_margin'];?>px">
							</div>
							<?php foreach($this->bPrData['modules'] as $b_module):?>
								<?php if($b_module['full_bleed'] == '1'): ?>
								<div class="bop-text-center bop-image-full">
								<?php else: ?>
								<div class="bop-text-center">
								<?php endif; ?>
								<?php if($b_module['type'] == 'image'): ?>
									<img src="<?php echo $b_module['sizes']['original'];?>" />
									<?php if(isset($b_module['caption'])): ?>
										<div class="caption-alignment-<?php echo $b_module['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $b_module['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php elseif ($b_module['type'] == 'text'):?>
									<?php if(isset($b_module['caption_alignment'])): ?>
									<div class="bop-project-text caption-alignment-<?php echo $b_module['caption_alignment']; ?>">
									<?php else: ?>
									<div class="bop-project-text">
									<?php endif; ?>
									<?php echo $b_module['text']; ?>		
									</div>					
								<?php elseif ($b_module['type'] == 'audio'):?>
									<?php echo $b_module['embed']; ?>
									<?php if(isset($b_module['caption'])): ?>
										<div class="caption-alignment-<?php echo $b_module['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $b_module['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php elseif ($b_module['type'] == 'embed'):?>
									<?php 
										$embed_original_width = ''; $embed_original_height = ''; $embed_padding_bottom = ''; $embed_alignment= ''; 									
										if( isset($b_module['original_width']) && isset($b_module['original_height'])){
											
											$embed_original_width = 'max-width: ' . $b_module['original_width'] .'px';									
											$embed_original_height = 'max-height: ' . $b_module['original_height'] .'px';											
											$aspect_ratio = (intval( $b_module['original_height'] ) /  intval($b_module['original_width']))*100;
											$aspect_ratio = round($aspect_ratio, 2 );
											$embed_padding_bottom = 'padding-bottom:' . $aspect_ratio . '%';
										}
										if( isset( $b_module['alignment'] ) ){
											$embed_alignment = 'embed-align-'.$b_module['alignment'];
										}
									?>
																	
									<div class="embed-dimensions <?php echo $embed_alignment; ?>" style="<?php echo $embed_original_width . ';' . $embed_original_height.';'; ?>">
								        <div class="embed-aspect-ratio" style="<?php echo $embed_padding_bottom?>;">							         
											<?php echo $b_module['embed']; ?>
										</div>
									</div>
									<?php if(isset($b_module['caption'])): ?>
										<div class="caption-alignment-<?php echo $b_module['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $b_module['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php elseif ($b_module['type'] == 'video'):?>
									<a href="<?php echo $b_module['src']; ?>" target="_blank" >Video</a>
									<?php if(isset($b_module['caption'])): ?>
										<div class="caption-alignment-<?php echo $b_module['caption_alignment']; ?>">
											<div class="caption">
												<?php echo $b_module['caption']; ?>
											</div>
										</div>
									<?php endif; ?>
								<?php endif;?>			
								</div>
								<div class="spacer" style="height: <?php echo $this->bPrData['styles']['spacing']['modules']['bottom_margin'];?>px">
									<?php $dividerStyle ='';?>
									<?php foreach($this->bPrData['styles']['dividers'] as $p_name => $p_value):?>
									<?php $p_name = str_replace('_','-' , $p_name); ?>
									<?php $dividerStyle = $dividerStyle . ';'.$p_name.':'.$p_value;?>
									<?php endforeach;?>
									<div class="divider" style="<?php echo substr($dividerStyle,1);?>">
									</div>
								</div>						
							<?php endforeach; ?>
						</div>
						<div id="bpm-project-footer-wrapper">
							<div id="bpm-inner-footer-wrapper">						
								<div class="bpm-project-footer-block bpm-footer-basic-info">							
									<div class="bpm-footer-block-heading">Basic Info</div>
									<div class="bpm-footer-content-padding">							
										<?php echo $this->bPrData['description']; ?>
									</div>									 
									<div class="bpm-footer-published-on">Published: <?php echo date('M d, Y', $this->bPrData['published_on']); ?></div>									
								</div>								
								<div class="bpm-project-footer-block bpm-footer-project-by">
									<div class="bpm-footer-block-heading">Project by</div>
									<div class="bpm-project-by-right-wrapper">
										<?php foreach($this->bPrData['owners'] as $owner) : ?>
											<div class="bpm-project-by-right">
												<div class="bpm-project-by-right-image">																							
													<?php
														$last_key = 0; 
														$owner_img = ""; 
														foreach($owner['images'] as $im_key => $im_value){
															if($last_key < intval($im_key)){
																$last_key = $im_key;
																$owner_img = $im_value;	
															}														
														}
													?>												
													<img src="<?php echo $owner_img; ?>" />												
												</div>
												<div class="bpm-project-by-right-author">
													<?php echo $owner['first_name'] . ' ' . $owner['last_name']; ?>
													<span class="bpm-project-by-place-right"> <i class="zmdi zmdi-pin"></i> <?php echo $owner['location']; ?></span>
												</div>
											</div>
										<?php endforeach;?>
									</div>
								</div>						
								<div class="bpm-project-footer-block bpm-footer-basic-info">
									<div class="bpm-footer-block-heading">Tags</div>
									<div class="bpm-footer-content-padding">
									<?php foreach ($this->bPrData['tags'] as $b_tag): ?>
									<span class="bpm-footer-tag"><?php echo $b_tag; ?></span>
									<?php endforeach; ?>
									</div>
								</div>								
								<div class="bpm-project-footer-block bpm-footer-basic-info">
									<div class="bpm-footer-block-heading">Tools Used</div>
									<div class="bpm-footer-content-padding">
										<?php echo substr($bToolsUsed, 2);?> 
									</div>
								</div>
								<div class="bpm-project-footer-block bpm-footer-basic-info">
									<div class="bpm-footer-block-heading">Copyright Info</div>
									<?php if($licenseId != 7):?>
									<div class="bpm-sr-attribution">Attribution</div>
									<?php endif;?> 
									<?php if($licenseId < 4 ):?> 
									<div class="bpm-sr-noncommercial">Non Commercial</div>
									<?php endif; ?>
									<?php if($licenseId == 1 || $licenseId ==4):?>
									<div class="bpm-sr-noderivatives">No Derivatives</div>
									<?php endif;?>
									<?php if($licenseId == 2 || $licenseId ==5):?>
									<div class="bpm-sr-sharealike">Share Alike</div>
									<?php endif;?>
									<?php if($licenseId == 7):?>
									<div class="bpm-sr-zero">No Use</div>
									<?php endif; ?>		
								</div>	
								<div class="bpm-report-project">
								 	<a href="https://help.behance.net/hc/en-us/requests/new" target="_blank"><i class="zmdi zmdi-alert-triangle"></i> Report</a>
								</div>						
							</div>					
						</div>
					</div>
					<div id="bop-project-right">
						<div class="sidebar-group">							
							<div id="bop-project-info-right" class="bop-project-right">
								<div class="bpm-title-right">Project By</div>
								<div class="bpm-project-by-right-wrapper">
									<?php foreach($this->bPrData['owners'] as $owner) : ?>
										<div class="bpm-project-by-right">
											<div class="bpm-project-by-right-image">																							
												<?php
													$last_key = 0; 
													$owner_img = ""; 
													foreach($owner['images'] as $im_key => $im_value){
														if($last_key < intval($im_key)){
															$last_key = $im_key;
															$owner_img = $im_value;	
														}														
													}
												?>												
												<img src="<?php echo $owner_img; ?>" />												
											</div>
											<div class="bpm-project-by-right-author">
												<?php echo $owner['first_name'] . ' ' . $owner['last_name']; ?>
												<span class="bpm-project-by-place-right"> <i class="zmdi zmdi-pin"></i> <?php echo $owner['location']; ?></span>
											</div>
										</div>
									<?php endforeach;?>
								</div>
							</div>							
							<div id="bop-project-about-right" class="bop-project-right">								
									<div class="bpm-title-right">About Project</div>
									<?php $append='&hellip;';
										$d_text = $this->bPrData['description'];?>
									<?php if(strlen($d_text)<=120):?>
										<p><?php echo $d_text; ?></p>
									<?php else: ?>
										<div class="bop-short-desc">
											<?php $out = substr($d_text,0,140);?>
					   						<?php if (strpos($d_text,' ') === FALSE){
					   							echo  $out.$append;
					   						}else{ 
					   							echo  '<p>'.preg_replace('/\w+$/','',$out).$append.'</p>';
					   						}?>
											<a href="#" id="bop-read-more" >Read More</a>
										</div>
										<div class="bop-full-desc" style="display:none">
											<p><?php echo $d_text; ?></p>
											<a href="#" id="bop-read-less" >Read Less</a>
										</div>
									<?php endif;?>														 
								<div class="bpm-published-on">Published: <?php echo date('M d, Y', $this->bPrData['published_on']); ?></div>								
							</div>						
							<div id="bop-project-info-right" class="bop-project-right">
								<div class="bpm-title-right">Tools Used</div>
								<p><?php echo substr($bToolsUsed, 2);?></p> 
							</div>								
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>