<?php 

/**
  *	Portfolio Manager - Powered By Behance
  * Copyright (C) 2014 eLEOPARD Design Studios Pvt Ltd. All rights reserved

  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.

  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.

  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.

  * For any other query please contact us at contact[at]eleopard[dot]in
**/
?>
<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');


class BPortManViewProjects extends JViewLegacy
{
	
	protected $categories;
	protected $projects;
	protected $levels;
	protected $showAll;
	protected $params;
	protected $advancedParams; 
	// Overwriting JView display method
	function display($tpl = null)
	{
		
		//getting user info
		$user		= JFactory::getUser();		
		$this->levels = $user->getAuthorisedViewLevels();
		
		//getting params
		$state = $this->get('State');
		$this->params = $state->get('params');
		
		//getting advanced Params
		$advParams = JComponentHelper::getParams('com_bportman');
		
		$this->advancedParams = new stdClass();
		$this->advancedParams->showModal = $advParams->get('show_project_modal', '0');
		$this->advancedParams->modalWidth = $advParams->get('project_modal_width','');
		$this->advancedParams->modalHeight = $advParams->get('project_modal_height', '');
			
			
		// Assign data to the view
		$this->showAll = $state->get('showall');
		$this->categories = $this->get('categories');
		$this->projects = $this->get('projects');	
		
		
		$document = JFactory::getDocument();		
		$document->addStyleSheet(JURI::root().'media/com_bportman/site/css/mosaic_style'. $this->params->get('mosaic_style').'.css');
		
		$inlineCSS = '	 
			eds-bpm-section {
				margin: 0;			    
			    text-align: center;
			}
			
			eds-bpm-section ul {	
				margin: 0;		    
			    padding: 20px 0;
			    border-bottom: 1px solid rgb(220,220,220);
			}
			
			eds-bpm-section li {
			    display: inline-block;
			    list-style: none outside none;
			    border: 0px none;
			    margin: 16px 4px;
			}
			
			
			eds-bpm-section li span {
			 margin: 0 10px 10px 0;
			 line-height: 39px;
			 color: '.$this->params->get('unselected_text_color').';
			 padding: 10px 20px;
			 text-decoration: none !important;
			 font-family: \'Open Sans\',sans-serif !important;
			 background:  '.$this->params->get('unselected_back_color').';
			
			}
			
			eds-bpm-section li span.selected {
			 top: 1px;
			 background: '.$this->params->get('selected_back_color').';
			 color: '.$this->params->get('selected_text_color').';
			}
			
			eds-bpm-section li span:hover {
				background: '.$this->params->get('hovar_back_color').';
				color: '.$this->params->get('hovar_text_color').';	
				cursor:pointer;
			}
			
			.eds-bpm-option-set{
			 	position: relative;
			 }
			 
			.eds-bpm-view-dynamic
			{
				margin: '.$this->params->get('tilemargin').'px;
			}
			
			.isotope-item{
				position: relative;
			  	float: left;
			  	width: 220px;
		   		height: 158px;	  	
			}
			.isotope-item > * {
		  		margin: 0;
		  		padding: 0;
			} ';
		
		//Adding Inline CSS
		$document->addStyleDeclaration($inlineCSS);
		
		//ADding jquery
		JHtml::_('jquery.framework');
		$document->addScript(JURI::root().'media/com_bportman/site/js/isotope.pkgd.min.js');
		if(intval($this->advancedParams->showModal))
			JHTML::_('behavior.modal');
								
		// Display the view
		parent::display($tpl);
	}
}